

from django.urls import path
from . views import ec_login, MyProtectedUserLogout, index_test

from . views import MyProtectedApiContactInfo, api_contact_info_test, MyProtectedApiSchoolInfo, api_school_info_test
from . views import MyProtectedApiAcademicInfo, api_academic_info_test, MyProtectedApiHealthInfo, api_health_info_test
from . views import MyProtectedApiSelfEvaluationInfo, api_self_evaluation_test, MyProtectedFamilyInfo, api_family_info_test
from . views import MyProtectedApiHobbiesInterests, api_hobbies_interests_test, MyProtectedSocialPractice, api_social_practice_test
from . views import MyProtectedAwardsPunishments, api_awards_punishments_test , MyProtectedBasicUserInfo

from . views import all_info_form, all_info_edit

from . views import MyProtectedUserInfo

urlpatterns = [
    path('', index_test, name='index_test'),

    path('login/', ec_login, name='login'),
    path('logout/', MyProtectedUserLogout.as_view(), name='logout'),
    

    path('contact_info/api/', MyProtectedApiContactInfo.as_view(), name='api_contact_info'),
    path('api_contact_info_test/', api_contact_info_test, name='api_contact_info_test'),
    
    path('school_info/api/', MyProtectedApiSchoolInfo.as_view(), name='api_school_info'),
    path('api_school_info_test/', api_school_info_test, name='api_school_info_test'),
    
    path('academic_info/api/', MyProtectedApiAcademicInfo.as_view(), name='api_academic_info'),
    path('api_academic_info_test/', api_academic_info_test, name='api_academic_info_test'),
    
    path('health_info/api/', MyProtectedApiHealthInfo.as_view(), name='api_health_info'),
    path('api_health_info_test/', api_health_info_test, name='api_health_info_test'),
    
    path('self_evaluation/api/', MyProtectedApiSelfEvaluationInfo.as_view(), name='api_self_evaluation'),
    path('api_self_evaluation_test/', api_self_evaluation_test, name='api_self_evaluation_test'),


    path('hobbies_interests/api/', MyProtectedApiHobbiesInterests.as_view(), name='api_hobbies_interests'),
    path('api_hobbies_interests_test/', api_hobbies_interests_test, name='api_hobbies_interests_test'),
    
    path('social_practice/api/', MyProtectedSocialPractice.as_view(), name='api_social_practice'),
    path('api_social_practice_test/', api_social_practice_test, name='api_social_practice_test'),
    
    path('family_info/api/', MyProtectedFamilyInfo.as_view(), name='api_family_info'),
    path('api_family_info_test/', api_family_info_test, name='api_family_info_test'),
    
    path('awards_punishments/api/', MyProtectedAwardsPunishments.as_view(), name='api_awards_punishments'),
    path('api_awards_punishments_test/', api_awards_punishments_test, name='api_awards_punishments_test'),


    path('all_info_form/<int:user_id>/', all_info_form, name='all_info_form'),
    path('all_info_edit/<int:user_id>/<str:model_name>/', all_info_edit, name='all_info_edit'),
    
    path('api_user_info/', MyProtectedUserInfo.as_view(), name='api_user_info'),
    path('basic_user_info/api/', MyProtectedBasicUserInfo.as_view(), name='api_basic_user_info'),

]
